GETDOMAINNAME(2)

NAME
getdomainname, setdomainname - get/set name of current domain

SYNOPSIS
int getdomainname(name, namelen)
char *name;
int namelen;

int setdomainname(name, namelen)
char *name;
int namelen;

DESCRIPTION

getdomainname() returns the name of the domain for the current processor, as previously set by getdomainname. The parameter namelen specifies the size of the array pointed to by name. The returned name is null-terminated unless insufficient space is provided.

getdomainname() sets the domain of the host machine to be name, which has length namelen. This call is restricted to the super-user and is normally used only when the system is bootstrapped.

The purpose of domains is to enable two distinct networks that may have host names in common to merge. Each network would be distinguished by having a different domain name. At the current time, only the Network Information Service makes use of domains.

RETURN VALUE
If the call succeeds a value of 0 is returned. If the call fails, then a value of -1 is returned and an error code is placed in the global location errno.

ERRORS
The following errors may be returned by these calls:

EFAULT
    The name parameter gave an invalid address.

EPERM
    The caller was not the super-user. This error only applies to setdomainname.

BUGS
Domain names are limited to 255 characters.